Name:           perl-WWW-Mechanize
Version:        2.18
Release:        1
Summary:        Automates web page form & link interaction
License:        GPL+ or Artistic
URL:            https://metacpan.org/release/WWW-Mechanize
Source0:        https://cpan.metacpan.org/authors/id/O/OA/OALDERS/WWW-Mechanize-%{version}.tar.gz
BuildArch:      noarch
Requires:       perl(:MODULE_COMPAT_%(eval "`/usr/bin/perl -V:version`"; echo $version))
# build requirements
BuildRequires:  coreutils
BuildRequires:  make
BuildRequires:  perl-generators
BuildRequires:  perl-interpreter
BuildRequires:  perl(ExtUtils::MakeMaker) >= 6.76
# runtime requirements
BuildRequires:  perl(base)
BuildRequires:  perl(Carp)
BuildRequires:  perl(Compress::Zlib)
BuildRequires:  perl(HTML::Form) >= 6.08
BuildRequires:  perl(HTML::HeadParser)
BuildRequires:  perl(HTML::TokeParser)
BuildRequires:  perl(HTML::TreeBuilder)
BuildRequires:  perl(HTTP::Request) >= 1.3
BuildRequires:  perl(HTTP::Request::Common)
BuildRequires:  perl(LWP::UserAgent)
BuildRequires:  perl(Scalar::Util)
BuildRequires:  perl(strict)
BuildRequires:  perl(Tie::RefHash)
BuildRequires:  perl(URI::URL)
BuildRequires:  perl(warnings)
# test requirements
BuildRequires:  perl(bytes)
BuildRequires:  perl(Exporter)
BuildRequires:  perl(File::Spec)
BuildRequires:  perl(File::Temp)
BuildRequires:  perl(FindBin)
BuildRequires:  perl(HTTP::Daemon) >= 6.12
BuildRequires:  perl(lib)
BuildRequires:  perl(LWP)
BuildRequires:  perl(LWP::Simple)
BuildRequires:  perl(Path::Tiny)
BuildRequires:  perl(Test::Deep)
BuildRequires:  perl(Test::Exception)
BuildRequires:  perl(Test::Fatal)
BuildRequires:  perl(Test::Memory::Cycle)
BuildRequires:  perl(Test::More) >= 0.96
BuildRequires:  perl(Test::NoWarnings) >= 1.04
BuildRequires:  perl(Test::Output)
BuildRequires:  perl(Test::Taint) >= 1.08
BuildRequires:  perl(Test::Warn)
BuildRequires:  perl(Test::Warnings)
BuildRequires:  perl(URI)
BuildRequires:  perl(URI::Escape)
BuildRequires:  perl(URI::file)
# $mech->content( format => 'text' ) requires HTML::TreeBuilder to be installed
# https://metacpan.org/pod/WWW::Mechanize#$mech-%3Econtent(...)
Requires:       perl(HTML::TreeBuilder)



%description
WWW::Mechanize, or Mech for short, is a Perl module for stateful
programmatic web browsing, used for automating interaction with websites.

%package help
Summary: Handy web browsing in a Perl object
Provides: perl-WWW-Mechanize-doc

%description help
WWW::Mechanize, or Mech for short, is a Perl module for stateful
programmatic web browsing, used for automating interaction with websites.

%prep
%setup -q -n WWW-Mechanize-%{version}

%build
/usr/bin/perl Makefile.PL INSTALLDIRS=vendor NO_PACKLIST=1 NO_PERLLOCAL=1
%{make_build}

%install
%{make_install}
%{_fixperms} %{buildroot}/*

%check
export HARNESS_OPTIONS=j$(perl -e 'if ($ARGV[0] =~ /.*-j([0-9][0-9]*).*/) {print $1} else {print 1}' -- '%{?_smp_mflags}')
make test TEST_VERBOSE=1

%clean
rm -rf $RPM_BUILD_ROOT

%files
%doc Changes etc/www-mechanize-logo.png
%{_bindir}/mech-dump
%{perl_vendorlib}/*

%files help
%{_mandir}/*

%changelog
* Thu Feb 08 2024 woody2918 <wudi1@uniontech.com> - 2.18-1
- Update verison to 2.18
- Fix click_button non exclusive attributes
- Remove t/untaint.t

* Fri Sep 08 2023 chenchen <chen_aka_jan@163.com> - 2.17-1
- Upgrade to version 2.17

* Sun Oct 09 2022 Perl_Bot <Perl_Bot@openeuler.org> - 2.07-1
- Specfile autogenerated by Perl_Bot
